package com.example.bookstore.model;
// Generated Nov 27, 2019 8:32:17 AM by Hibernate Tools 4.3.5.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Grade generated by hbm2java
 */
@Entity
@Table(name = "grade", catalog = "notes_app")
public class Grade implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;
	private Long id;
	private double baseProduction;
	private String quality;
	private Set<Publisher> publishers = new HashSet<Publisher>(0);

	public Grade() {
	}

	public Grade(double baseProduction, String quality, Set<Publisher> publishers) {
		this.baseProduction = baseProduction;
		this.quality = quality;
		this.publishers = publishers;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id", unique = true, nullable = false)
	public Long getId() {
		return this.id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Column(name = "base_production")
	public double getBaseProduction() {
		return this.baseProduction;
	}

	public void setBaseProduction(double baseProduction) {
		this.baseProduction = baseProduction;
	}

	@Column(name = "quality")
	public String getQuality() {
		return this.quality;
	}

	public void setQuality(String quality) {
		this.quality = quality;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "grade")
	public Set<Publisher> getPublishers() {
		return this.publishers;
	}

	public void setPublishers(Set<Publisher> publishers) {
		this.publishers = publishers;
	}

}
